/**************************************************/
/** Application Forms Layout                     **/
/**************************************************/

/** BEGIN Context Form Zone **/

hr
{
    height: 1px;
    padding: 0;
    margin: 0px;
    border: 0px;
    color: #DDD;
}

fieldset
{
    border: 1px solid #999999;
    padding: 2px;
}

legend
{
    font-family: Arial, Helvetica, sans-serif;
    font-size: 11px;    
    font-weight: bold;
    color: #669999;
}

/** END Context Form Zone **/




/** BEGIN Context Form Layout **/

.FormBox,
.FormBoxPassword,
.FormBoxSearch,
.FormBoxLegalAction,
.FormBoxPaymentAgreement,
.FormBoxLawyer,
.FormBoxLawOfficeFee,
.FormBoxWorkItem,
.FormBoxGroup,
.FormBoxContact,
.FormBoxProperty
{
    font: 11px Arial, Verdana, Helvetica, sans-serif;
    color: #696969;
    text-align: left;
    padding: 0px 0px 9px 9px;
    margin: 0;
    border: 0;
    display: block;
}

.FormBoxWorkItem
{
    padding: 0px 9px 9px 9px;
}

.FormBoxError
{
    min-height: 200px;
}

.FormBoxExpiredSession
{
    min-height: 200px;
}

.FormBoxContact
{
    height: 480px;
}

.FormBoxLawyer
{
    height: 385px;
}


/** END Context Form Layout **/




/** BEGIN Context Form Column Configurations **/

/* FormColumns1x6  */
.FormColumns1x6
{
    width: 139px;
}

.FormColumns1x6 .FormTextBox, .FormColumns1x6 .FormTextBoxRequired, .FormColumns1x6 .FormTextBoxError, .FormColumns1x6 .FormTextBoxReadonly, .FormColumns1x6 .FormFieldReadonly
{
    width: 139px;
}

.FormColumns1x6 .FormTextBox[fmt=DateTime], .FormColumns1x6 .FormTextBoxRequired[fmt=DateTime], .FormColumns1x6 .FormTextBoxError[fmt=DateTime], .FormColumns1x6 .FormTextBoxReadonly[fmt=DateTime], .FormColumns1x6 .FormFieldReadonly[fmt=DateTime]
{
    width: 110px !important;
}

.FormColumns1x6 .FormTextArea, .FormColumns1x6 .FormTextAreaRequired, .FormColumns1x6 .FormTextAreaError, .FormColumns1x6 .FormTextAreaReadonly
{
    width: 133px;
}

.FormColumns1x6 .FormDropDownList, .FormColumns1x6 .FormDropDownListRequired, .FormColumns1x6 .FormDropDownListError, .FormColumns1x6 .FormDropDownListReadonly
{
    width: 140px;
}

/* FormColumns2x5  */
.FormColumns2x5
{
    width: 219px;
}

.FormColumns2x5 .FormTextBox, .FormColumns2x5 .FormTextBoxRequired, .FormColumns2x5 .FormTextBoxError, .FormColumns2x5 .FormTextBoxReadonly, .FormColumns2x5 .FormFieldReadonly
{
    width: 217px;
}

.FormColumns2x5 .FormTextArea, .FormColumns2x5 .FormTextAreaRequired, .FormColumns2x5 .FormTextAreaError, .FormColumns2x5 .FormTextAreaReadonly
{
    width: 211px;
}

.FormColumns2x5 .FormDropDownList, .FormColumns2x5 .FormDropDownListRequired, .FormColumns2x5 .FormDropDownListError, .FormColumns2x5 .FormDropDownListReadonly
{
    width: 220px;
}

/* FormColumns2x6  */
.FormColumns2x6
{
    width: 299px;
}

.FormColumns2x6 .FormTextBox, .FormColumns2x6 .FormTextBoxRequired, .FormColumns2x6 .FormTextBoxError, .FormColumns2x6 .FormTextBoxReadonly, .FormColumns2x6 .FormFieldReadonly
{
    width: 297px;
}

.FormColumns2x6 .FormTextArea, .FormColumns2x6 .FormTextAreaRequired, .FormColumns2x6 .FormTextAreaError, .FormColumns2x6 .FormTextAreaReadonly
{
    width: 291px;
}

.FormColumns2x6 .FormDropDownList, .FormColumns2x6 .FormDropDownListRequired, .FormColumns2x6 .FormDropDownListError, .FormColumns2x6 .FormDropDownListReadonly
{
    width: 300px;
}

/* FormColumns3x6  */
.FormColumns3x6
{
    width: 458px;
}

.FormColumns3x6 .FormTextBox, .FormColumns3x6 .FormTextBoxRequired, .FormColumns3x6 .FormTextBoxError, .FormColumns3x6 .FormTextBoxReadonly, .FormColumns3x6 .FormFieldReadonly
{
    width: 456px;
}

.FormColumns3x6 .FormTextArea, .FormColumns3x6 .FormTextAreaRequired, .FormColumns3x6 .FormTextAreaError, .FormColumns3x6 .FormTextAreaReadonly
{
    width: 450px;
}

.FormColumns3x6 .FormDropDownList, .FormColumns3x6 .FormDropDownListRequired, .FormColumns3x6 .FormDropDownListError, .FormColumns3x6 .FormDropDownListReadonly
{
    width: 459px;
}

/* FormColumns6x6  */
.FormColumns6x6
{
    width: 946px;
}

.FormColumns6x6 .FormTextBox, .FormColumns6x6 .FormTextBoxRequired, .FormColumns6x6 .FormTextBoxError, .FormColumns6x6 .FormTextBoxReadonly, .FormColumns6x6 .FormFieldReadonly
{
    width: 942px;
}

.FormColumns6x6 .FormTextArea, .FormColumns6x6 .FormTextAreaRequired, .FormColumns6x6 .FormTextAreaError, .FormColumns6x6 .FormTextAreaReadonly
{
    width: 930px;
}

.FormColumns6x6 .FormDropDownList, .FormColumns6x6 .FormDropDownListRequired, .FormColumns6x6 .FormDropDownListError, .FormColumns6x6 .FormDropDownListReadonly
{
    width: 948px;
}

.FormColumns1x6, 
.FormColumns2x5, 
.FormColumns2x6, 
.FormColumns3x6, 
.FormColumns6x6
{
    height: 50px;
    min-height: 50px;
    margin-right: 20px;
    float: left;
} 

.SingleLine
{
    height: 26px; 
    min-height: 26px;
}

.SingleLine span
{
    font: 11px Verdana, Arial, Helvetica, sans-serif;
}

/** END Context Form Column Configurations **/




/** BEGIN Context Form Field Labels **/

.FormLabel 
{
    font: 11px Verdana, Arial, Helvetica, sans-serif;
	color: #696969;   
	line-height: 26px;
}
a.FormLabel
{
	color: #696969; 
	line-height: 26px;
    text-decoration: underline;
}
a.FormLabel:hover
{
    font-weight: bold;
}

/* field text read only */
.FormFieldReadonly, .FormTextReadonly, .FormFieldTransitionReadonly, .FormFieldTransitionGridReadonly
{
    float: left;
    background-color: #F2F2F2;
    font-weight: bold;
    display: inline-block;
    line-height: 18px;
    height: 18px;
    border-bottom: 2px solid transparent;
    text-indent: 5px; 
    white-space: nowrap;
}

.FormFieldTransition, .FormFieldTransitionReadonly
{
    position: absolute;
    top: 5px;
    right: 40px;
    width: 100px;
}

.FormFieldTransitionReadonly
{
    display: none;
}

.FormFieldTransitionGridReadonly
{
    cursor: default;
}

/* for auxiliar text between fields */
.FormTextReadonly
{
    background-color: transparent;
}

/** END Context Form Field Labels **/




/** BEGIN Context Form TextBox Fields **/

/* textbox text input */
.FormTextBox, .FormTextBoxRequired, .FormTextBoxError, .FormTextBoxReadonly, input[type=file]
{   
    float: left;
    font: 11px Arial, Verdana, Helvetica, sans-serif;
	color: #696969;
	height: 18px;
    line-height: 18px;
	background: #FFF;
    font-weight: bold;
    text-indent: 5px;
	padding: 0;
	border: 1px dotted #80A06F;
	/*border: 0;
    border-left: 1px dotted #80A06F;
	border-top: 1px dotted #80A06F;
	border-bottom: 1px dotted #80A06F;*/
	margin-bottom: -1px;
}

/* textbox date fields */
input[type=text].DateField, span.DateField {
	width: 70px !important;
}
/* textbox date time fields */
input[type=text].DateTimeField, span.DateTimeField {
	width: 120px !important;
}

input[type=file] {
	position: relative;
	text-align: right;
	/*
	-moz-opacity:0 ;
	filter:alpha(opacity: 0);
	opacity: 0;
	z-index: 2;*/
}

/* textarea */
.FormTextArea, .FormTextAreaRequired, .FormTextAreaError, .FormTextAreaReadonly
{
    float: left;
    font: 11px Arial, Verdana, Helvetica, sans-serif;
    color: #696969;
	min-height: 18px;
	background: #FFF;
    font-weight: bold;
	padding: 2px 3px;
	border: 1px dotted #80A06F;
    /*border: 0;
    border-left: 1px solid #939aa6;
	border-top: 1px solid #939aa6;
	border-bottom: 1px solid #e1e4e8;*/
}

/** END Context Form TextBox Fields **/




/** BEGIN Context Form DropDownList Fields **/

.FormDropDownList, .FormDropDownListRequired, .FormDropDownListError, .FormDropDownListReadonly
{    
    float: left;
    font: 11px Arial, Verdana, Helvetica, sans-serif;
    color: #696969;
	height: 20px;
	background: #ffffff;
    font-weight: bold;
    line-height: 20px;
	padding: 1px 2px 2px 0px;
	border: 1px dotted #80A06F;
}


.formDDLOut
{
    padding: 0px;
    overflow: hidden;
	position: relative;
	height: 19px;
	line-height: 19px;
	border-left: 0;
}        
/* div border left */
.formDDLInB, .formDDLInBReadonly
{
    width: 1px !important;
    height: 20px;
    background-color: #939aa6;
    float: left;
    display: inline-block;
}    
.formDDLInBReadonly
{
    background-color: #ffffff;
}

/* div around ".formDDLIn div" */    
.formDDLIn
{
    border-left: 2px solid #ffffff;
    border-bottom: 2px solid #ffffff;
    border-top: 3px solid #ffffff;
    border-right: 0;
    height: 14px;
    overflow: hidden;
	position: absolute; /*without this, is not working */
	float: left;
	display: inline-block;
	top: 0px;
	left: 1px;
	right: 2px;
	bottom: 0px;
}
/* div to position DDL */       
.formDDLIn div
{
    position: absolute; /*without this, is not working */
    top: -2px;
    left: -2px;
    right: -2px;
    bottom: 0px;
    float: left;
}
/* DDL */
.formDDLIn div select
{
    color: #696969;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 10px;
    font-weight: bold;
    float: left;
    width: 100%;
    position: relative;
}

/* Special Case: only Chrome DDL */
/* div around ".formDDLIn div" */    
.formDDLInC
{
    border-left: 2px solid #ffffff;
    border-bottom: 2px solid #ffffff;
    border-top: 3px solid #ffffff;
    border-right: 0;
    height: 14px;
    overflow: hidden;
	position: absolute; /*without this, is not working */
	float: left;
	display: inline-block;
	top: 0px;
	left: 1px;
	right: 2px;
	bottom: 0px;
}

/* div to position DDL */       
.formDDLInC div
{
    position: absolute; /*without this, is not working */
    top: 0px;
    left: -3px;
    right: 0px;
    bottom: 0px;
    float: left;
}

/* DDL */
.formDDLInC div select
{
    border: none;
    color: #696969;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 10px;
    font-weight: bold;
    float: left;
    width: 100%;
    position: relative;
    background: #ffffff;
}

.formDDLInC div select:disabled
{
    background: transparent;
}

/** END Context Form DropDownList Fields **/




/** BEGIN Context Form CheckBox Fields **/

.FormCheckBox
{ 
    float: left;
    background-color: transparent;
}

.FormCheckBox span
{
    position: relative !important; 
}

.FormCheckBox label
{
	height: 20px;
	background-color: transparent;
    line-height: 20px;
	padding-right: 5px;
	margin: 0;
	margin-left: 5px;
	float: left;
    font-size: 12px;
}
.FormCheckBox input 
{
	height: 20px;
	background-color: transparent;
	padding: 0 5px;
	margin: 0;
	float: left;
}

/** END Context Form Checkbox Fields **/




/** BEGIN Context Form Field Button Layout **/

.FormIcon20x20
{
    margin-left: 4px;
    cursor: pointer;
    width: 20px;
    float: left;
    display: inline;
}

.GridIcon20x20
{
    height: 20px;
    line-height: 20px;
    margin-top: -2px;
    margin-left: 4px;
    cursor: pointer;
    width: 20px;
    /*float: left;
    display: inline;*/
}

/** END Context Form Field Button Layout **/




/** BEGIN Context Form Button Layout **/

.FormButton, .LoginButton, .LoginCleanButton
{
    width: 100px;
    height: 20px;
    margin: 1px 5px 1px 5px; 
    border: 1px solid #f8f8f8;
    text-align: center;
    vertical-align: middle;
    font-size: 13px;
    font-family: Arial, Verdana, Helvetica, sans-serif;/*, Helvetica, Verdana, sans-serif;*/
    font-weight: normal;
    /* SMALL-CAPS */
    font-variant: small-caps; 
    color: #003776;
    cursor: pointer;
}

.FormButtonAttach
{
    background-color: transparent; 
    width: 20px; 
    height: 20px; 
    border: 0;
    margin-left: 2px;
}

.LoginCleanButton
{
    display: inline !important;
}

/** END Context Form Button Layout **/




/** BEGIN Context Form Field Attributes **/

/* readonly  */
.FormTextBoxReadonly, .FormTextAreaReadonly, .FormDropDownListReadonly
{
	border: 0;
}

/* required */
.FormTextBoxRequired, .FormTextAreaRequired, .FormDropDownListRequired
{
    background-color: #E6E6E6; /*#D9E2EE;#D5F0DD;*/
}

/* error */
.FormTextBoxError, .FormTextAreaError, .FormDropDownListError
{
	border-bottom: 1px solid #ff6600;
}

/** END Context Form Field Attributes **/


/* Elisspsis use in full text width (ex: "Test Test Te...") */

span, div.ellipsis {
    white-space: nowrap !important;
    overflow: hidden !important;
    text-overflow: ellipsis !important;  /* IE 6+, FF 7+, Op 11+, Saf 1.3+, Chr 1+ */
    -o-text-overflow: ellipsis !important;  /* for Opera 9 & 10 */
}


.FileUpload
{
    width: 0px !important; 
    margin-left: -3px; 
    margin-top: 1px; 
    z-index: -1;
    visibility: hidden;
}

.BrowseLabel {
    border: 1px solid #80A06F;
    padding: 2px 5px;
    background: #DDD;
    display: inline-block;
    cursor: pointer;
}

.BrowseLabel:hover {
    background: #CCC;
}

.FormBoxParameters
{
    height: 365px; 
}